Updates the PIN of a card on a given account where an accountId and cardId are provided.
PUT
/
cards
/
{cardId}
/
pin
cURL
curl --request PUT \
--url 'https://api.equalsmoney.com/v2/cards/{cardId}/pin?accountId={{accountId}}&personId={{personId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "stri",
"cardholderVerificationMethod": "BIOMETRIC_FACE",
"mfa": {
"sessionId": "c92e2960-b745-4b38-8e77-898b2f9ad9bb",
"token": "123456"
}
}
'import requests
url = "https://api.equalsmoney.com/v2/cards/{cardId}/pin"
payload = {
"pin": "stri",
"cardholderVerificationMethod": "BIOMETRIC_FACE",
"mfa": {
"sessionId": "c92e2960-b745-4b38-8e77-898b2f9ad9bb",
"token": "123456"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pin: 'stri',
cardholderVerificationMethod: 'BIOMETRIC_FACE',
mfa: {sessionId: 'c92e2960-b745-4b38-8e77-898b2f9ad9bb', token: '123456'}
})
};
fetch('https://api.equalsmoney.com/v2/cards/{cardId}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pin": "stri"
}Authorizations
Path Parameters
The ID of the card to work with.
Maximum string length:
36Example:
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
Query Parameters
The ID of the account to work with.
Example:
"F50091"
The ID of the person to work with.
Maximum string length:
36Example:
"775596ae-2624-40af-a9dc-9756110a4a04"
Body
application/json
Body
Request body for creating a PIN
The new card PIN. If not provided, we'll randomly generate one for you.
Required string length:
4Pattern:
^\d+$The supplemental method used to verify the cardholder’s identity before revealing the card’s PIN.
Available options:
BIOMETRIC_FACE, BIOMETRIC_FINGERPRINT, LOGIN, OTP Example:
"BIOMETRIC_FACE"
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
